// RibbonLocalizationManager.cs
// Copyright (c) 2016 Bentley Systems, Incorporated. All Rights Reserved.

using Haestad.Support.Support;
using System;
using Telerik.Windows.Controls;

namespace Haestad.Framework.UI.Integration
{
    public class RibbonLocalizationManager : LocalizationManager
    {
        public override string GetStringOverride(string key)
        {
            switch (key)
            {
                case TelerikRibbonLocalizationKeys.RibbonViewMinimizeRibbon:
                    return TextManager.Current["hfui_MinimizeTheRibbon"];
                case TelerikRibbonLocalizationKeys.RibbonViewExpandRibbon:
                    return TextManager.Current["hfui_RestoreTheRibbon"];
                case TelerikRibbonLocalizationKeys.RibbonViewHelp:
                    return TextManager.Current["hfui_RibbonHelp"];
                case TelerikRibbonLocalizationKeys.RibbonViewQATShowBelow:
                    return TextManager.Current["hfui_ShowBelowTheRibbon"];
                case TelerikRibbonLocalizationKeys.RibbonViewQATShowAbove:
                    return TextManager.Current["hfui_ShowAboveTheRibbon"];
                case TelerikRibbonLocalizationKeys.RibbonViewQATMinimize:
                    return TextManager.Current["hfui_MinimizeTheRibbon"];
                case TelerikRibbonLocalizationKeys.RibbonViewQATRestore:
                    return TextManager.Current["hfui_RestoreTheRibbon"]; ;
                case TelerikRibbonLocalizationKeys.RibbonViewQATCustomize:
                    return TextManager.Current["hfui_CustomizeQuickAccessToolbar"];
            }
            return base.GetStringOverride(key);
        }

        private struct TelerikRibbonLocalizationKeys
        {
            public const string RibbonViewMinimizeRibbon = "RibbonViewMinimizeRibbon";
            public const string RibbonViewExpandRibbon = "RibbonViewExpandRibbon";
            public const string RibbonViewHelp = "RibbonViewHelp";
            public const string RibbonViewQATShowAbove = "RibbonViewQATShowAbove";
            public const string RibbonViewQATShowBelow = "RibbonViewQATShowBelow";
            public const string RibbonViewQATMinimize = "RibbonViewQATMinimize";
            public const string RibbonViewQATRestore = "RibbonViewQATRestore";
            public const string RibbonViewQATCustomize = "RibbonViewQATCustomize";
        }
    }
}
